import java.awt.GridLayout;
import java.util.Dictionary;
import java.util.Hashtable;

import javax.swing.ButtonGroup;
import javax.swing.JButton;
import javax.swing.JFrame;
import javax.swing.JLabel;
import javax.swing.JPanel;
import javax.swing.JRadioButton;
import javax.swing.JSlider;

public class ThermometreGUI {

    public static void main(String[] args) {
	// Modèle
	Thermometre modele = new Thermometre(0);

	// Vue
	JFrame frame = new JFrame(); // Une fenêtre pour l’application
	frame.setTitle("Thermometre");
	frame.setLayout(new GridLayout(2, 1));
	// Vue: thermometre
	ThermometreVue vueThermometre = new ThermometreVue(modele);
	frame.add(vueThermometre);

	// Vue: controles
	JPanel panneauControles = new JPanel();
	panneauControles.setLayout(new GridLayout(2,1));

	// Vue: controles: panneau avec les bouttons pour régler la température
	JPanel panneauBoutonsTemperature = new JPanel();
	panneauBoutonsTemperature.setLayout(new GridLayout(1,2));
	JButton boutonRefroidissement  = new JButton("<");
	JButton boutonRechauffement    = new JButton(">");
	panneauBoutonsTemperature.add(boutonRefroidissement);
	panneauBoutonsTemperature.add(boutonRechauffement);
	panneauControles.add(panneauBoutonsTemperature);

	// Vue: controles: panneau avec les boutons pour choisir l'unité
	JPanel panneauBoutonsUnites = new JPanel();
	panneauBoutonsUnites.setLayout(new GridLayout(3,1));
	ButtonGroup groupeBoutonsUnite = new ButtonGroup();
	JRadioButton boutonCelsius   = new JRadioButton("Celsius");
	JRadioButton boutonFarenheit = new JRadioButton("Farenheit");
	JRadioButton boutonKelvin    = new JRadioButton("Kelvin");
	groupeBoutonsUnite.add(boutonCelsius);
	groupeBoutonsUnite.add(boutonFarenheit);
	groupeBoutonsUnite.add(boutonKelvin);
	boutonCelsius.setSelected(true);
	panneauBoutonsUnites.add(boutonCelsius);
	panneauBoutonsUnites.add(boutonFarenheit);
	panneauBoutonsUnites.add(boutonKelvin);

	panneauControles.add(panneauBoutonsUnites);
	frame.add(panneauControles);

	// Contrôleur
	frame.setDefaultCloseOperation(JFrame.EXIT_ON_CLOSE);
	boutonRechauffement  .addActionListener(new ControleurBoutonRechauffement(modele, vueThermometre));
	boutonRefroidissement.addActionListener(new ControleurBoutonRefroidissement(modele, vueThermometre));
	boutonCelsius.addActionListener(new ControleurBoutonUnite(modele, vueThermometre, Unite.CELSIUS));
	boutonFarenheit.addActionListener(new ControleurBoutonUnite(modele, vueThermometre, Unite.FARENHEIT));
	boutonKelvin.addActionListener(new ControleurBoutonUnite(modele, vueThermometre, Unite.KELVIN));

	// Démarage application
	frame.pack();
	frame.setVisible(true);	
    }
}
